Subject: bug#45821: Emacs UDP support on Windows

From: Alex Matei <[email-masked]>
Date: Sun, 8 Jan 2023 16:00:27 +0000

Okay, this was helpful, I was able to hit an access violation error on the 4th test 😊 -> only issue that now I need to get up to speed with GDB since it looks like WinDBG (which is my goto debugger, and also setup as postmortem for any process that fails on my machine, including Emacs) cannot read the symbols generated by the GCC  compiler ☹

  *   Soo, any tips on how to easily run the tests under debugger?
  *   Or is there a way to set gdb to automatically launch whenever  a crash happens in Emacs?  -> this is what I typically do with WinDBG and it’s a pretty convenient feature

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: Alex Matei<mailto:[email-masked]>
Sent: Sunday, January 8, 2023 7:43 AM
To: Robert Pluim<mailto:[email-masked]>
Cc: Eli Zaretskii<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: bug#45821: Emacs UDP support on Windows

Thank you! Giving it a try 😊

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: Robert Pluim<mailto:[email-masked]>
Sent: Sunday, January 8, 2023 7:42 AM
To: Alex Matei<mailto:[email-masked]>
Cc: Eli Zaretskii<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: bug#45821: Emacs UDP support on Windows

On Sun, Jan 8, 2023, 16:31 Alex Matei <[email-masked]<mailto:[email-masked]>> wrote:
So far I only tried running `make check` and I can see what appear to be random failures in all kinds of places (including vc code)

  *   Now this may be because most of the tests rely on `process-read` etc. that might have been caused by this patch .. but it feels a bit far fetched..

Can you please tell me what would be the best way to run the tests for the scope of this change? Is there a specific subset of tests that we can call?

cd test && make network-stream-tests

will run the UDP,TCP, and TLS tests (although most of the rest of the rest suite should pass as well)

Robert